## AnacondaSpokeSelector

AnacondaSpokeSelector — A graphical way to enter a configuration spoke

## Functions

GtkWidget * | anaconda_spoke_selector_new ()
gboolean | anaconda_spoke_selector_get_incomplete ()
void | anaconda_spoke_selector_set_incomplete ()

## Properties

gchar * | icon | Read / Write
gchar * | status | Read / Write
gchar * | title | Read / Write

## Types and Values

struct | AnacondaSpokeSelector
struct | AnacondaSpokeSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── AnacondaSpokeSelector

## Implemented Interfaces

AnacondaSpokeSelector implements AtkImplementorIface and GtkBuildable.

## Description

A AnacondaSpokeSelector is a widget that is associated with a Spoke and is packed into a grid on a Hub. A Spoke allows the user to configure one piece of system, and the associated selector both displays the current configuration and allows for a place to click to do further configuration.

Some Spokes can have their initial configuration guessed, while others (specifically storage) require the user to do something. For those that the user has not entered, the selector may be set as incomplete. See anaconda_spoke_selector_get_incomplete and anaconda_spoke_selector_set_incomplete.

As a AnacondaSpokeSelector is a subclass of a GtkEventBox, any signals may be caught. However ::button-press-event is the most important one and should be how control is transferred to a Spoke.

## Functions

### anaconda_spoke_selector_new ()

    GtkWidget *
    anaconda_spoke_selector_new ();

Creates a new AnacondaSpokeSelector, which is a selectable display for a single spoke of an Anaconda hub. Many spokes may be put together into a grid, displaying everything that a user needs to do in one place.

#### Returns

A new AnacondaSpokeSelector.

### anaconda_spoke_selector_get_incomplete ()

    gboolean
    anaconda_spoke_selector_get_incomplete
                                   (AnacondaSpokeSelector *spoke);

Returns whether or not this spoke has been completed.

#### Parameters

spoke | a AnacondaSpokeSelector |

#### Returns

Whether `spoke` has been completed by the user.

Since 1.0

### anaconda_spoke_selector_set_incomplete ()

    void
    anaconda_spoke_selector_set_incomplete
                                   (AnacondaSpokeSelector *spoke,
                                    gboolean is_incomplete);

Specifies whether this spoke must still be visited by the user. If so, this means anaconda doesn't have enough information to continue and the user must take some action. A warning icon will be displayed alongside the spoke's icon, and the continue button will be disabled.

#### Parameters

spoke | a AnacondaSpokeSelector |
is_incomplete | `TRUE` if this spoke still needs to be visited. |

Since 1.0

## Types and Values

### struct AnacondaSpokeSelector

    struct AnacondaSpokeSelector;

The AnacondaSpokeSelector struct contains only private fields and should not be directly accessed.

### struct AnacondaSpokeSelectorClass

    struct AnacondaSpokeSelectorClass {
        GtkEventBoxClass parent_class;
    };

#### Members

GtkEventBoxClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows an AnacondaSpokeSelectorClass pointer to be cast to a GtkEventBox pointer. |

## Property Details

### The `“icon”` property

      “icon”                     gchar *

The :icon string is the standard icon name for an icon to display beside this spoke's :title. It is strongly suggested that one of the "-symbolic" icons be used, as that is consistent with the style we are going for.

Flags: Read / Write

Default value: "gtk-missing-image"

Since 1.0

### The `“status”` property

      “status”                   gchar *

The :status string is text displayed underneath the spoke's :title and also beside the :icon. This text very briefly describes what has been selected on the spoke associated with this selector. For instance, it might be set up to "English" for a language-related spoke. Special formatting will be applied to error status text for incomplete spokes.

Flags: Read / Write

Default value: "None"

Since 1.0

### The `“title”` property

      “title”                    gchar *

The :title of this selector, which will be displayed large and bold beside the :icon. The title string should contain a keyboard mnemonic (a letter preceeded by an underscore), in which case this will be the keystroke that can be used to focus this selector.

Flags: Read / Write

Default value: "New Selector"

Since 1.0